clt2pbm(1)

Name

clt2pbm — convert Consoleet text bitmaps to PBM Portable Bitmap

Syntax

clt2pbm [[-x scale [-y scale]|-s scale] [file...]

Description

clt2pbm takes a Consoleet text bitmap file and converts it to Portable Bitmap (netpbm) P1 format, optionally upscaling it in the process in either or both dimensions.

For each file given on the command line, a new file will be created, which has the ".txt" extension of the original file removed (if any) and ".pbm" appended. If no filenames are given, the program reads from stdin and writes to stdout.

Options

-s factor
    Scale by the given positive integral factor in both the x and y directions. This overrides any -x or -y options.

-x factor
    Scale by the given positive integral factor in the horizontal direction.

-y factor
    Scale by the given positive integral factor in the vertical direction.

The Consoleet bitmap format

The Consoleet text bitmap format is very similar to PBM itself. Instead of "P1" as in PBM, a CLT file begins with "PCLT" on the first line. In the second line, width and height of the bitmap in pixels is given. What follow is the bitmap data: Each "off" pixel is represented by the 2-character string ".." or "  " (any space character considered by isspace(3)). Each "on" pixel is represented by any other 2-character string — for contrast, a "large" character is usually chosen, such as '#'. Each row of pixels is terminated by a newline, like in PBM.
	PCLT
	9 7
	..................
	....WW....##..##..
	..WW..WW..##..##..
	..WW..WW..####....
	..WW..WW..##..##..
	....WW....##..##..
	..................

See also

hxtools(7), fnt2bdf(1)